io.milvus.common.utils

## Class JacksonUtils

- java.lang.Object
- - io.milvus.common.utils.JacksonUtils

    public class JacksonUtils
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`JacksonUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static <T> T` `fromJson(byte[] bytes, java.lang.Class<T> type)`
`static <T> T` `fromJson(byte[] bytes, com.fasterxml.jackson.core.type.TypeReference<T> typeRef)`
`static <T> T` `fromJson(java.lang.String jsonStr, java.lang.Class<T> type)`
`static <T> T` `fromJson(java.lang.String jsonStr, com.fasterxml.jackson.core.type.TypeReference<T> typeRef)`
`static byte[]` `toJsonByte(java.lang.Object obj)`
`static java.lang.String` `toJsonString(java.lang.Object obj)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JacksonUtils

    public JacksonUtils()

### Method Detail

#### fromJson

    public static <T> T fromJson(java.lang.String jsonStr,
                                 com.fasterxml.jackson.core.type.TypeReference<T> typeRef)

#### fromJson

    public static <T> T fromJson(java.lang.String jsonStr,
                                 java.lang.Class<T> type)

#### fromJson

    public static <T> T fromJson(byte[] bytes,
                                 com.fasterxml.jackson.core.type.TypeReference<T> typeRef)

#### fromJson

    public static <T> T fromJson(byte[] bytes,
                                 java.lang.Class<T> type)

#### toJsonString

    public static java.lang.String toJsonString(java.lang.Object obj)

#### toJsonByte

    public static byte[] toJsonByte(java.lang.Object obj)